Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.editors.text
Class EditorsUI

    java.lang.Object
      org.eclipse.ui.editors.text.EditorsUI

public final class EditorsUI
extends Object

The central class for access to this plug-in. This class cannot be instantiated; all functionality is provided by static methods.

Since:
  3.0

Field Summary
`static String` | `DEFAULT_TEXT_EDITOR_ID` The ID of the default text editor.
`static String` | `PLUGIN_ID` TextEditor Plug-in ID (value `"org.eclipse.ui.editors"`).

Method Summary
`static AnnotationPreferenceLookup` | `getAnnotationPreferenceLookup()` Returns the annotation preference lookup of this plug-in.
`static AnnotationTypeLookup` | `getAnnotationTypeLookup()` Returns the annotation type lookup of this plug-in.
`static Preferences` | `getPluginPreferences()` Returns the preferences of this plug-in.
`static IPreferenceStore` | `getPreferenceStore()` Returns the preference store of this plug-in.
`static void` | `useAnnotationsPreferencePage(IPreferenceStore store)` Removes all preference which are handled by this plug-in's general preference pages from the given store and prevents setting the default values in the future.
`static void` | `useQuickDiffPreferencePage(IPreferenceStore store)` Removes all preference which are handled by this plug-in's Quick Diff preference page from the given store and prevents setting the default values in the future.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PLUGIN_ID

    public static final String PLUGIN_ID

  TextEditor Plug-in ID (value `"org.eclipse.ui.editors"`).

  See Also:
    Constant Field Values

### DEFAULT_TEXT_EDITOR_ID

    public static final String DEFAULT_TEXT_EDITOR_ID

  The ID of the default text editor.

  See Also:
    Constant Field Values

Method Detail

### getAnnotationTypeLookup

    public static AnnotationTypeLookup getAnnotationTypeLookup()

  Returns the annotation type lookup of this plug-in.

  Returns:
    the annotation type lookup

### getAnnotationPreferenceLookup

    public static AnnotationPreferenceLookup getAnnotationPreferenceLookup()

  Returns the annotation preference lookup of this plug-in.

  Returns:
    the annotation preference lookup

### getPreferenceStore

    public static IPreferenceStore getPreferenceStore()

  Returns the preference store of this plug-in.

  Returns:
    this plug-in's preference store

### useAnnotationsPreferencePage

    public static void useAnnotationsPreferencePage(IPreferenceStore store)

  Removes all preference which are handled by this plug-in's general preference pages from the given store and prevents setting the default values in the future.

  To access the general preference from another plug-in use a `ChainedPreferenceStore`:

      		List stores= new ArrayList(3);
      		stores.add(YourPlugin.getDefault().getPreferenceStore());
      		stores.add(EditorsUI.getPreferenceStore());
      		combinedStore= new ChainedPreferenceStore((IPreferenceStore[]) stores.toArray(new IPreferenceStore[stores.size()]));

  Note: In order to work this method must be called before the store's default values are set.

  Parameters:
    `store` - the preference store to mark

### useQuickDiffPreferencePage

    public static void useQuickDiffPreferencePage(IPreferenceStore store)

  Removes all preference which are handled by this plug-in's Quick Diff preference page from the given store and prevents setting the default values in the future.

  To access the general preference from another plug-in use a `ChainedPreferenceStore`:

      		List stores= new ArrayList(3);
      		stores.add(YourPlugin.getDefault().getPreferenceStore());
      		stores.add(EditorsUI.getPreferenceStore());
      		combinedStore= new ChainedPreferenceStore((IPreferenceStore[]) stores.toArray(new IPreferenceStore[stores.size()]));

  Note: In order to work this method must be called before the store's default values are set.

  Parameters:
    `store` - the preference store to mark

### getPluginPreferences

    public static Preferences getPluginPreferences()

  Returns the preferences of this plug-in.

  Returns:
    the plug-in preferences
  See Also:
    `Plugin.getPluginPreferences()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.